package no.ntnu.item.sso.dao;

import org.springframework.dao.DataAccessException;

/**
 * DAO with basic CRUD functionality.
 * 
 * @author jogrimst
 *
 * @param <T>
 */
public interface BaseDao<T> {

	void create(T t) throws DataAccessException;
	
	T read(Long id) throws DataAccessException;
	
	void update(T t) throws DataAccessException;
	
	void delete(T t) throws DataAccessException;
}
