package no.ntnu.item.sso.dao.jpa;

import java.util.ArrayList;
import java.util.List;
import no.ntnu.item.sso.UserProfile;
import no.ntnu.item.sso.dao.UserProfileDao;
import org.springframework.dao.DataAccessException;

/**
 * @author jogrimst
 */
public class UserProfileDaoJpa extends BaseDaoJpa<UserProfile> implements UserProfileDao {

    public UserProfile readByOpenIdIdentifier(String openIdIdentifier) throws DataAccessException {
        List<UserProfile> userProfiles = (List<UserProfile>) em.createQuery(
                "SELECT userProfile " +
                "FROM " + UserProfile.class.getSimpleName() + " userProfile " +
                "WHERE userProfile.openIdIdentifiers = :openIdIdentifier")
                .setParameter("openIdIdentifier", openIdIdentifier)
                .getResultList();
        if (userProfiles.isEmpty()) {
            return null;
        } else {
            return userProfiles.get(0);
        }
    }

    @Override
    public UserProfile readByEmail(String email) throws DataAccessException {
        List<UserProfile> userProfiles = (List<UserProfile>) em.createQuery(
                "SELECT userProfile " +
                "FROM " + UserProfile.class.getSimpleName() + " userProfile " +
                "WHERE userProfile.email = :email")
                .setParameter("email", email)
                .getResultList();
        if (userProfiles.isEmpty()) {
            return null;
        } else {
            return userProfiles.get(0);
        }
    }
}
