package no.ntnu.item.sso.util;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.URL;
import org.apache.log4j.Logger;

/**
 * @author jogrimst
 */
public class RemotePageLoader {

    private final Logger logger = Logger.getLogger(getClass());

    /**
     * Fetches HTML content from an external URL. If an error occurs,
     * {@code null} is returned.
     *
     * @param url The URL where the content is located.
     * @return The HTML content of the given URL; or {@code null} if it did not contain anything.
     */
    public String loadRemoteContent(String url) {
        String returnedContent = null;

        try {
            URL remoteUrl = new URL(url);
            remoteUrl.openConnection();
            InputStream inputStream = remoteUrl.openStream();
            InputStreamReader inputStreamReader = new InputStreamReader(inputStream);
            BufferedReader bufferedReader = new BufferedReader(inputStreamReader);
            String line;
            while ((line = bufferedReader.readLine()) != null) {
                if (returnedContent == null) {
                    returnedContent = "";
                }
                returnedContent += line;
            }
        } catch (IOException ex) {
            logger.error(ex);
        }

        return returnedContent;
    }
}
