package no.ntnu.item.sso.validation.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

import javax.validation.Constraint;
import javax.validation.Payload;

import no.ntnu.item.sso.validation.PostCodeValidator;

/**
 * {@code null} elements are considered valid.
 * 
 * @author jogrimst
 */
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy=PostCodeValidator.class)
public @interface PostCode {
	
	String message() default "{validation.PostCode.message}";
	
	Class<?>[] groups() default {};
	
	public abstract Class<? extends Payload>[] payload() default {};
}
