package no.ntnu.item.sso.validation.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

import javax.validation.Constraint;
import javax.validation.Payload;
import javax.validation.ReportAsSingleViolation;

import no.ntnu.item.sso.validation.UserValidator;

/**
 * @author jogrimst
 */
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy=UserValidator.class)
@ReportAsSingleViolation
public @interface User {
	
	String message() default "{validation.User.message}";
	
	Class<?>[] groups() default {};
	
	public abstract Class<? extends Payload>[] payload() default {};
}
