package no.ntnu.item.sso.web;

import javax.validation.Valid;
import no.ntnu.item.sso.service.ContactForm;
import no.ntnu.item.sso.validation.ContactFormValidator;

import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * @author jogrimst
 */
@Controller
@RequestMapping("/contact")
public class ContactFormController {
	
	@RequestMapping(method = RequestMethod.GET)
	public String setupForm(ModelMap model) {
		ContactForm contactForm = new ContactForm();
		model.addAttribute("contactForm", contactForm);
		return "contact";
	}
	
	@RequestMapping(method = RequestMethod.POST)
	public String processSubmit(@ModelAttribute("contactForm") @Valid ContactForm contactForm, BindingResult result) {
		new ContactFormValidator().validate(contactForm, result);
		if (result.hasErrors()) {
			return "contact";
		} else {
			// TODO: Handle form
			return "redirect:contact?success=true";
		}
	}
}
