<%@ include file="/WEB-INF/jsp/taglibs.jsp" %>

<!DOCTYPE html>
<html lang="${pageContext.request.locale.language}">
    <head>
        <title>sso-webapp</title>

        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        
        <meta name="description" content="Single Sign-On Web Application" />
        <meta name="keywords" content="sso, openid" />

        <link rel="shortcut icon" href="<spring:url value='/img/favicon.ico' />" />
        
        <link rel="stylesheet" href="<spring:url value='/css/styles.css' />" type="text/css" />
        <c:if test="${fn:contains(pageContext.request.servletPath, '/user/')}">
            <link rel="stylesheet" href="<spring:url value='/css/user/styles.css' />" type="text/css" />
        </c:if>
        ${styles}
        <c:set var="themeStyle"><spring:theme code='style' /></c:set>
        <link rel="stylesheet" href="<spring:url value='${themeStyle}' />" type="text/css" />

        <script src="<spring:url value='/js/jquery-1.4.2.min.js' />"></script>
        <%@ include file="/WEB-INF/jsp/html5-ie.jsp" %>
    </head>
    <body>
        <header>
            <%@ include file="/WEB-INF/jsp/html5-header.jsp" %>
        </header>

        <div id="content">
            <nav>
                <%@ include file="/WEB-INF/jsp/html5-nav.jsp" %>
            </nav>

            <aside>
                <%@ include file="/WEB-INF/jsp/html5-aside.jsp" %>
            </aside>

            <section>
                ${section}

                <div style="clear: both"></div>
            </section>

            <div style="clear: both"></div>
        </div>

        <footer>
            <%@ include file="/WEB-INF/jsp/html5-footer.jsp" %>
        </footer>

        ${script}
    </body>
</html>
