<%@ include file="/WEB-INF/jsp/taglibs.jsp" %>

<c:set var="script">
    <script src="<spring:url value="/js/user/manage-openids.js" />"></script>
</c:set>

<c:set var="section">
    <div id="manage-openids">
        <h1>Manage My OpenIDs</h1>

        <c:if test="${isOpenIdWasAdded}">
            <ul class="info tick">
                <li>The OpenID <b>${param.openid_identifier}</b> was added</li>
            </ul>
        </c:if>
        <c:if test="${isOpenIdWasDeleted}">
            <ul class="info tick">
                <li>The OpenID <b>${param.openid_identifier}</b> was deleted</li>
            </ul>
        </c:if>

        <p>
            These are the OpenIDs currenctly associated with this user account:
        </p>

        <table>
            <c:forEach var="openIdIdentifier" items="${userProfile.openIdIdentifiers}" varStatus="status">
                <tr>
                    <td>
                        <%--<span class="count">${status.count}.</span> --%>${openIdIdentifier}
                    </td>
                    <td>
                        <c:if test="${openIdIdentifier != openIdOfCurrentUserProfile}">
                            <a href="<spring:url value='/user/manage-openids/delete-an-openid?openid_identifier=' />${openIdIdentifier}">Delete</a>
                        </c:if>
                    </td>
                </tr>
            </c:forEach>
            <tr>
                <td colspan="2">
                    <a href="#" id="addAnOpenId">Add an OpenID</a>
                    <form id="newOpenId" action="<spring:url value='/user/manage-openids/add-an-openid' />" method="POST">
                        OpenID: <input type="text" name="openid_identifier" /> <button>Sign on</button>
                    </form>
                </td>
            </tr>
        </table>
    </div>
</c:set>

<%@ include file="/WEB-INF/jsp/layout.jsp" %>
