package no.ntnu.item.sso.dao;

import static org.junit.Assert.*;
import no.ntnu.item.sso.UserProfile;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * @author jogrimst
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration("file:src/main/webapp/WEB-INF/spring/applicationContext-jpa.xml")
public class BaseDaoTest {
	
    @Autowired
    private UserProfileDao userProfileDao;

    @Test
    public final void testCreate() {
        System.out.println("CREATE");
        UserProfile user1 = new UserProfile();
        user1.setFullName("John Doe");
        user1.setEmail("john@doe.com");
        userProfileDao.create(user1);
        assertEquals(new Long(1), user1.getId());

        UserProfile user2 = new UserProfile();
        user2.setFullName("John Doe 2");
        user2.setEmail("john@doe2.com");
        userProfileDao.create(user2);
        assertEquals(new Long(2), user2.getId());
    }

    @Test
    public final void testRead() {
        System.out.println("READ");
        assertNotNull(userProfileDao.read(1L));
        assertEquals("John Doe", userProfileDao.read(1L).getFullName());
        assertEquals("john@doe.com", userProfileDao.read(1L).getEmail());
    }

    @Test
    public final void testUpdate() {
        System.out.println("UPDATE");
        UserProfile user = userProfileDao.read(1L);
        assertNull(user.getNickname());

        user.setNickname("john");
        userProfileDao.update(user);
        assertEquals(user.getNickname(), userProfileDao.read(1L).getNickname());
    }

    @Test
    public final void testDelete() {
        System.out.println("DELETE");
        assertNotNull(userProfileDao.read(1L));
        userProfileDao.delete(userProfileDao.read(1L));
        assertNull(userProfileDao.read(1L));
    }
}
