package no.ntnu.item.sso.dao;

import java.util.Set;
import no.ntnu.item.sso.OpenIdIdentifier;
import static org.junit.Assert.*;
import no.ntnu.item.sso.UserProfile;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * @author jogrimst
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration("file:src/main/webapp/WEB-INF/spring/applicationContext-jpa.xml")
public class UserProfileDaoTest {
	
    @Autowired
    private UserProfileDao userProfileDao;

    @Test
    public final void testRead_openIdIdentifier() {
        UserProfile userProfile = new UserProfile();
        userProfile.setEmail("john@doe.com");
        userProfile.getOpenIdIdentifiers().add("https://john.myopenid.com/");
        userProfileDao.create(userProfile);

//        assertNotNull(userProfileDao.read(1L));
//        Set openIdIdentifiers = userProfileDao.read(1L).getOpenIdIdentifiers();
//        assertTrue(openIdIdentifiers.contains("https://john.myopenid.com/"));
        
        assertNotNull(userProfileDao.readByOpenIdIdentifier("https://john.myopenid.com/"));
        assertEquals("john@doe.com", userProfileDao.readByOpenIdIdentifier("https://john.myopenid.com/").getEmail());
        assertTrue(userProfileDao.readByOpenIdIdentifier("https://john.myopenid.com/").getOpenIdIdentifiers().contains("https://john.myopenid.com/"));
    }
}
